player_position3d_power_config Struct Reference

Request/reply: Motor power. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | state
| FALSE for off, TRUE for on.

## Detailed Description

Request/reply: Motor power.

On some robots, the motor power can be turned on and off from software. To do so, send a PLAYER_POSITION3D_REQ_MOTOR_POWER request with the format given below, and with the appropriate `state` (zero for motors off and non-zero for motors on). Null response.

Be VERY careful with this command! You are very likely to start the robot running across the room at high speed with the battery charger still attached.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45